package me.wazup.hideandseek.commands.admin;

import me.wazup.hideandseek.Arena;
import me.wazup.hideandseek.PlayerData;
import org.bukkit.entity.Player;
import org.bukkit.ChatColor;
import me.wazup.hideandseek.Config;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class StartCommand extends SubCommand
{
    public StartCommand() {
        super("hideandseek.start", true, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (Config.getInstance().bungeeEnabled) {
            if (hideAndSeek.bungeeMode.selectedArena == null) {
                hideAndSeek.bungeeMode.Seconds = hideAndSeek.bungeeMode.lock_votes_at + 1;
                commandSender.sendMessage(customization.prefix + ChatColor.GREEN + "Success! " + ChatColor.GOLD + "Time was skipped!");
            }
            else {
                commandSender.sendMessage(customization.prefix + "The game is already about to start");
            }
        }
        else {
            Arena arena;
            if (array.length == 1) {
                if (!(commandSender instanceof Player) || !hideAndSeek.game.contains(commandSender.getName())) {
                    return false;
                }
                arena = hideAndSeek.playerData.get(commandSender.getName()).arena;
            }
            else {
                arena = Arena.valueOf(array[1]);
            }
            if (arena == null) {
                commandSender.sendMessage((String)customization.messages.get("unknown_arena"));
                return true;
            }
            if (!arena.state.equals((Object)Arena.ArenaState.STARTING)) {
                commandSender.sendMessage(customization.prefix + "Arena may not force start right now!");
                return true;
            }
            arena.lobbyTimer.cancel();
            arena.startGame();
            commandSender.sendMessage(customization.prefix + ChatColor.GREEN + "Success! " + ChatColor.GOLD + "The arena " + ChatColor.YELLOW + arena.name + ChatColor.GOLD + " has been forced to start!");
        }
        return true;
    }
}
